Foreman - Bug #29018

Disabled buttons are still working
02/14/2020 02:19 PM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ron Lavi
Category: Web Interface

Target version:

Difficulty: Fixed in Releases: 1.24.3,2.0.0
Triaged: No Found in Releases:
Bugzilla link: 1761872 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7452,
https://github.com/theforeman/foreman/p
ull/7470,
https://github.com/theforeman/foreman/p
ull/7471
Description

Bug was fixed just on buttons that were used as example. But | see same same behavior on other buttons as was mentioned in
additional info.

For example:

0. Have remote execution that succeeded.
1. Go to Monitor -> Jobs

2. Select job that succeeded

3. 'Rerun failed' is disabled

4. Click 'Rerun failed'

Another example:

0. Have remote execution that succeeded and has hosts.
1. Go to Monitor -> Jobs

2. Select job that succeeded

3. Select host from table

4. 'Cancel Job' and 'Abort Job' are disabled

5. Click on 'Cancel Job' or 'Abort Job'

Another example:

0. Have host that cannot be build
1. Navigate to host details

2. Click on disabled button 'Build’

It looks like this needs fix on whole Ul, not just on buttons mentioned in examples.

Associated revisions

Revision 3caf38a0 - 02/25/2020 02:07 PM - Ron Lavi
Fixes #29018 - disabled buttons are still working

History

#1 - 02/20/2020 05:15 PM - Ron Lavi

- Subject changed from Disabled buttons are still working
to Disabled buttons are still working

- Assignee set to Ron Lavi

#2 - 02/20/2020 05:27 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7452 added
#3 - 02/25/2020 02:08 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 02/25/2020 03:01 PM - Ron Lavi
- Status changed from Ready For Testing to Closed

Applied in changeset 3caf38a0d7dc28773c79394dca6d4816e7144ee9.

#5 - 02/26/2020 07:01 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7470 added

#6 - 02/26/2020 07:32 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7471 added

#7 - 03/08/2020 12:57 PM - Tomer Brisker
- Fixed in Releases 1.24.3, 2.0.0 added
- Fixed in Releases deleted (2.1.0)
